| Home | Libraries | People | FAQ | More

##### qend(rtree<...> const &)

Returns the query iterator pointing at the end of the query range.

###### Description

This method returns the iterator which may be used to check if the query has ended.

###### Synopsis

    template<typename Value,
             typename Parameters,
             typename IndexableGetter,
             typename EqualTo,
             typename Allocator>
    rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator >::const_query_iterator qend(rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > const & tree)

###### Returns

The iterator pointing at the end of the query range.

###### Example

    for ( Rtree::const_query_iterator it = qbegin(tree, bgi::nearest(pt, 10000)) ;
          it != qend(tree) ; ++it )
    {
        // do something with value
        if ( has_enough_nearest_values() )
            break;
    }

###### Throws

Nothing